corda / net.corda.node.services.persistence / DBTransactionStorage / addTransaction

# addTransaction

`fun addTransaction(transaction: SignedTransaction): Boolean`

Overrides TransactionStorage.addTransaction

Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

### Parameters

`transaction` - The transaction to be recorded.

Return
true if the transaction was recorded successfully, false if it was already recorded.